Bug 456396 - Desktop background redraw problem after minimizing window
Desktop background redraw problem after minimizing window
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-23 06:11 EDT by Nineth
Modified: 2009-02-06 12:20 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 12:20:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the mangled desktop background (294.24 KB, image/png)
2008-07-23 06:11 EDT, Nineth
no flags Details

  None (edit)
Description Nineth 2008-07-23 06:11:11 EDT
Description of problem:

When KDE has been up and running for some time, minimizing a window does not
update the portion of the background that was occupied by the window (see
attached screenshot). This is independent of the application the window belongs
to. The only way to get the background back is to go change the background to
something else and change it back. I have Intel 865G integrated graphics running
at 1280x1024 on a 19" LCD display.

Version-Release number of selected component (if applicable):
kdebase-workspace-4.0.5-3.fc9.i386


How reproducible:

Most of the time, once KDE has been up and running for some time and there are
at least 3 to 4 windows.


Steps to Reproduce:
1. Minimize the windows and check if the desktop background is alright
  
Actual results:
See attached screenshot

Expected results:


Additional info:
Comment 1 Nineth 2008-07-23 06:11:11 EDT
Created attachment 312456 [details]
Screenshot of the mangled desktop background
Comment 2 Kevin Kofler 2008-07-23 06:31:57 EDT
I can confirm this, I've seen it happen myself. Unfortunately, that's all I 
know about this bug.
Comment 3 Nineth 2008-07-26 18:05:33 EDT
Hopefully, the KDE 4.1 updates that will be available soon will fix this
problem. I still don't see 4.0.99 in updates-testing. Does anyone know when 4.1
will be available via updates?

$ sudo yum -y update kdebase
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * updates-testing: astromirror.uchicago.edu
 * livna: rpm.livna.org
 * fedora: mirror.steadfast.net
 * adobe-linux-i386: linuxdownload.adobe.com
 * updates: mirror.steadfast.net
Setting up Update Process
Could not find update match for kdebase
No Packages marked for Update
$ 
Comment 5 Nineth 2008-07-26 18:51:28 EDT
Thanks, is there a single group command with yum that I can use to get all of them?
Comment 6 Rex Dieter 2008-07-26 18:55:47 EDT
yum --enablerepo=updates-testing update
Comment 7 Nineth 2008-07-27 02:29:20 EDT
I installed 4.0.99 and the problem seems to have almost resolved with it.
However, some times, when a large window or a maximized window is minimized with
many other windows also around, the screen stays garbled for usually 1-3 seconds
after which it becomes fine. So, I've never noticed it last. 
Comment 8 Nineth 2008-08-18 11:02:52 EDT
The problem still exists with 4.1.0-3, but clicking once on the background redraws it and cleares all the mangling. So the mangling is no longer irreversible.
Comment 9 Kevin Kofler 2008-08-18 11:08:18 EDT
The problem is not i386-specific, I've seen it on x86_64 too.
Comment 10 Rex Dieter 2008-08-18 11:11:00 EDT
What video hw/driver are you using?  (My hunch is that it is a driver issue).

Oh, and are you using kwin/desktop-effects?
Comment 11 Rex Dieter 2008-08-18 11:12:25 EDT
Nevermind, re-reading initial comment: Intel 845G

Fwiw, Intel 945G here, cannot reproduce.
Comment 12 Kevin Kofler 2008-08-18 11:15:48 EDT
I see it with Intel GM965.
Comment 13 Kevin Kofler 2008-08-18 11:16:37 EDT
And it isn't always reproducible, it only happens sometimes (but relatively often).
Comment 14 Nineth 2008-08-18 11:18:50 EDT
I'm using Intel 865G (In reply to comment #10)
> What video hw/driver are you using?  (My hunch is that it is a driver issue).
> 
> Oh, and are you using kwin/desktop-effects?

I have Intel 865G integrated graphics. 

No, I'm not using desktop-effects. Enabling desktop effects crashes my KDE and takes me back to the login screen.
Comment 15 Ralf Kleineisel 2008-09-15 12:08:03 EDT
I do see this problem on my laptop with Intel Mobile GM965/GL960 controller. I do not see it on my PC with nVidia GeForce 7300 LE.
Comment 16 Steven M. Parrish 2008-09-28 18:40:04 EDT
Thanks for the report.  I checked upstream and could not find a matching bug.Please file a bug report in the the upstream bugzilla located at http://bugs.kde.org for the particular component involved.

Once you've filed your bug report to the upstream bugzilla, please add the upstream info to this report. We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.
Comment 17 Steven M. Parrish 2009-02-06 12:20:39 EST
The information we've requested above is required in order to review this problem report further and diagnose or fix the issue if it is still present.  Since it has been thirty days or more since we first requested additional information, we're assuming the problem is either no longer present in the current Fedora release, or that there is no longer any interest in tracking the problem.

Setting status to "CLOSED: INSUFFICIENT_DATA".  If you still experience this problem after updating to our latest Fedora release and can provide the information previously requested, please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.